import { RGBA, HSLA } from './color';
export * from './color';
export declare type CssColor = string;
export declare type Color = CssColor | RGBA | HSLA;
export declare type ConvertFunction = (c: RGBA) => RGBA;
declare type OutputTypes = 'rgb' | 'hsl' | 'css-rgb' | 'css-hex' | 'css-hsl';
declare type InferOutputType<OutputType extends OutputTypes> = OutputType extends 'rgb' ? RGBA : OutputType extends 'hsl' ? HSLA : CssColor;
export declare function colorToRGBA(color: Color): RGBA;
export declare function convert<OutputType extends OutputTypes>(color: Color, outputType: OutputType, convertFunction?: ConvertFunction): InferOutputType<OutputType>;
export declare function invert(c: RGBA): RGBA;
declare type InvertDarkLightOptions = {
    threshold?: number;
    dark?: Color;
    light?: Color;
    useInputAlpha?: boolean;
};
export declare function invertDarkLight({ threshold, dark, light, useInputAlpha, }?: InvertDarkLightOptions): (c: RGBA) => RGBA;
export declare function gammaCorrection({ factor }?: {
    factor?: number;
}): (c: RGBA) => RGBA;
declare type ContrastOptions = {
    contrast?: number;
    brightness?: number;
};
export declare function contrastBrightness({ contrast, brightness }?: ContrastOptions): (c: RGBA) => RGBA;
